library("lmer")
dat<-read.csv(file.choose())

lmm_full_prelim <- function(x){
  a<-lmer(data=dat, x ~ (1 | Golgi:Species) +  Golgi * scale(Dspeed) + Golgi *scale(DSpeedCV) + Golgi *scale(Mass) + Golgi *scale(Contact) + scale(Count) + Substrate, REML=F) 
  return(summary(a))
}

lmm_full_prelim(dat$X1CV)
lmm_full_prelim(dat$X2CV)
lmm_full_prelim(dat$MCV)
lmm_full_prelim(dat$LCV)
lmm_full_prelim(dat$ZCV)
lmm_full_prelim(dat$X1Time)
lmm_full_prelim(dat$X2Time)
lmm_full_prelim(dat$bp)
lmm_full_prelim(dat$Mtime)
lmm_full_prelim(dat$Ltime)
lmm_full_prelim(dat$Ztime)


lmm_test <- function(x){
  a<-lmer(data=dat, x ~ (1 | Golgi:Species) +  Golgi + scale(Dspeed) + scale(DSpeedCV) + scale(Mass) + scale(Contact) + scale(Count) + Substrate, REML=F) 
  b<-lmer(data=dat, x ~ (1 | Species) +   scale(Dspeed) + scale(DSpeedCV) + scale(Mass) + scale(Contact) + scale(Count) + Substrate, REML=F)
  result1<-summary(a)
  result2<-(anova(a,b)) 
  out <- list(result1, result2)
  return(out)
}

lmm_test(dat$X1CV)
lmm_test(dat$X2CV)
lmm_test(dat$MCV)
lmm_test(dat$LCV)
lmm_test(dat$ZCV)
lmm_test(dat$X1Time)
lmm_test(dat$X2Time)
lmm_test(dat$bp)
lmm_test(dat$Mtime)
lmm_test(dat$Ltime)
lmm_test(dat$Ztime)

